.card {
  border: 0!important;

  &-img {
    width: 100%;
    overflow: hidden;
    position: relative;

    img {
      width: 100%;
    }
  }

  &-sale::before,
  &-new::before
  {
    z-index: 100;
    font-family: Montserrat-Regular;
    font-size: 12px;
    color: white;
    width: 50px;
    height: 22px;
    border-radius: 11px;
    position: absolute;
    top: 12px;
    left: 12px;
    @include x-display-flex
    justify-content: center;
    align-items: center;
  }

  &-sale::before {
    background-color: #e65540;
    content: 'Sale';
  }

  &-new::before {
    background-color: #66a8a6;
    content: 'New';
  }

  &-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.3);
    opacity: 0;
    @include x-transition(all 0.4s);

    &:hover {
      opacity: 1;

      .btn-addcart {
        bottom: 20px;
      }

      .btn-addwishlist,
      .btn-towishlist {
        @include x-transform(scale(1));
      }
    }

    .btn-addcart {
      position: absolute;
      left: 50%;
      bottom: -45px;
      width: 161px;
      @include x-transform( translateX(-50%));
      @include x-transition(all 0.4s);
    }

    .btn-towishlist,
    .btn-addwishlist {
      display: block;
      position: absolute;
      top: 26px;
      right: 20px;
      font-size: 20px;
      color: white;
      line-height: 0;
      cursor: pointer;
      @include x-transform(scale(0));
      @include x-transition(all 0.4s);

      .icon-wishlist {
        line-height: 0;

        &.icon_heart {
          display:none;
        }
      }
    }

    .btn-addwishlist:hover {
      color: white;

      .icon_heart_alt {
        display: none;
      }

      .icon_heart {
        display: block;
      }
    }

    .btn-towishlist {
      .icon_heart_alt {
        display: none;
      }

      .icon_heart {
        display: block;
        color: #e65540;
      }
    }
  }

  &-txt {
    padding-top: 20px;

    .product-name {
      display: block;
      padding-bottom: 5px;
      font-size: 15px;
      color: #555555;
      line-height: 1.5;
    }
  }

  &-price {
    font-size: 16px;
    color: #555555;
    padding-right: 5px
  }
}
